#name for this function
@REG_NAME
heatDCmon

$Debug
true

#
#  This is a devcom monitor list spec file.
#  The file is activated with devcom_mon priority /pathtothisspecfile .
#  The command string (column 3) will be sent to the devcom device/instrument server 
#  (column 2), on each event (1st column).  The action can be started and stopped with
#  optional events specified in column 4 and 5.
#  The column 1 event can be a named event or a ms timer value.  Start and stop events
#  must be named events.  All events will be created as temporary events if they do not
#  exists.
#
#  The user should test the command string with devcom_smsg_tst before adding it to this
#  file.  If an error is detected executing the command the event "REG_NAME"_err will
#  be set.
#
#  The list is sorted by event id (column 1), so like events are grouped, but otherwise
#  is sequentually executed.  There is NO treading accross different devices, so the
#  whole list will be paced by your slowest command/device.
#  There is also a limit of 200 commands.  If you need more break it up into multiple lists.
#

#the commands from the gensync.spec file can be used here to continously 
#run the commands if need be. The first argument is the time, the second is the
#Instrument name from the gensync.spec file. The third is what gets sent to the
#device and what it will receive.
$CMDS
#time only command
1000, Heratherm, "?:0012:00::c3 - - - H_Hours H_Minutes H_Seconds -"
#Multi Temperature command
#?:3010:00::c2,-,%s %f %f %f %f %f %f %s
1000, Heratherm, "?:0012:00::c3 - - - H_T1 H_T2 H_T3 H_T4 -"

#NOTES:
#An example if there were additional arguments being sent to the device would
#be: 1000, Heratherm, "?:3010:00::c2 'argument1' - - myvar1"
#The argument gets placed in ''
#you can test all of these commands with devcom_smsg_tst with similar format
#to these commands. do "man devcom_smsg_tst" for more details of how to use
$
